## freewrl 0.0.20140501

=== SoundEngine/Makefile ===
INCLUDE = -I/usr/X11R6/include/
LIBDIR  = -L. -L/usr/X11R6/lib -L/usr/local/lib

COMPILERFLAGS = -Wall
CC = gcc
CFLAGS = $(COMPILERFLAGS) $(INCLUDE)
LIBRARIES = -lm
SVROBJ = main.o wavmaker.o mixer.o

All: main 

main: $(SVROBJ)
	$(CC) $(SVROBJ) $(CFLAGS) -o FreeWRL_SoundServer $(LIBDIR) $(LIBRARIES)
	@ls -al FreeWRL_SoundServer;strip FreeWRL_SoundServer;ls -al FreeWRL_SoundServer

mixer: mixer.o
	$(CC) $(CFLAGS) -o $mixer $(LIBDIR) $< $(LIBRARIES)

wavmaker: wavmaker.o
	$(CC) $(CFLAGS) -o $wavmaker $(LIBDIR) $< $(LIBRARIES)

clean:
	rm -f *.o FreeWRL_SoundServer

install:  main
	cp FreeWRL_SoundServer /usr/local/bin/.

=== freewrl/tests/libeai_tests/Makefile ===
# set this to something else if the FreeWRLEAI headers are not installed in the default location
INCLUDES=-I/usr/include/FreeWRLEAI

# set this if libFreeWRLEAI is not in the ld-path
LIBEAILOCATION=

all: simple-test advanced-test

simple-test: simple.c
	$(CC) $(INCLUDES) -lpthread $(LIBEAILOCATION) -lFreeWRLEAI -o simple-test $<

advanced-test: Ctest_libeai_CRC.c
	$(CC) $(INCLUDES) -lpthread $(LIBEAILOCATION) -lFreeWRLEAI -o advanced-test $<

tests: simple advanced

simple: simple-test
	freewrl --eai simple-test.wrl &
	./simple-test

advanced: advanced-test
	freewrl --eai root.wrl &
	./advanced-test

clean:
	rm -f simple-test advanced-test

=== freex3d/src/libtess/Makefile ===
# libtess/Makefile

TESS_LIB_NAME = libtess.a

C_SOURCES = \
	dict.c		\
	geom.c		\
	memalloc.c	\
	mesh.c		\
	normal.c	\
	priorityq.c	\
	render.c	\
	sweep.c		\
	tess.c		\
	tessmono.c

SOURCES = $(C_SOURCES)

C_OBJECTS = $(C_SOURCES:.c=.o)
OBJECTS = $(C_OBJECTS) 


##### RULES #####

.c.o:
	$(CC) -c $(CFLAGS) -DNDEBUG  $< -o $@

##### TARGETS #####

default:
	$(MAKE) $(TESS_LIB_NAME) || exit 1 ; \

# Make the library:
$(TESS_LIB_NAME): $(TESS_LIB_NAME)($(OBJECTS))


clean:
	-rm -f *.o

=== debian/changelog ===
freewrl (0.0.20140501-0ubuntu0~rzr0) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#freewrl

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 23:30:34 +0200

freewrl (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 23:30:34 +0200

freewrl (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 23:30:25 +0200

=== debian/control ===
Source: freewrl
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/freewrl.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/freewrl.git;a=summary

Package: freewrl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: freewrl-snapshot
Architecture: all
Section: sound
Depends: freewrl (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade freewrl
 http://rzr.online.fr/q/snapshot#freewrl Feedback welcome

## freewrl 0.20.a1

=== RUNDIR/Makefile ===
# copyright (c) 1997,1998 stephen f. white
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

SHELL = /bin/sh

JAVAC = javac
JFLAGS =  -classpath /usr/local/lib/netscape/java_301:/usr/CosmoPlayer/classes:/usr/java/classes:.
# JFLAGS = 

.SUFFIXES:	.java .class

.java.class:
	$(JAVAC) $(JFLAGS) $<

JSAIONLYCLASSES = \
	JSAISceneInterface.class \
	TalkerFrame.class \
	JSAIObject.class \
	Alert.class \
	FontChooser.class \
	Icon.class

EAIONLYCLASSES = \
	EAISceneInterface.class \
	EAIObject.class

COMMONCLASSES = \
	Dispatcher.class \
	SceneInterface.class \
	TalkerPanel.class \
	BorderPanel.class \
	JanneButton.class \
	Message.class \
	MessageQueue.class \
	UserList.class \
	UserListObserver.class \
	UnsupportedFieldTypeException.class \
	VIP.class \
	VRMLObject.class \
	VRMLObjectObserver.class \
	ClientThreadObserver.class \
	ClientThread.class \
	WriterThread.class \
	WriterThreadObserver.class \
	VFieldInputStream.class \
	VFieldOutputStream.class \
	VField.class \
	VMFString.class \
	VSFBool.class \
	VSFRotation.class \
	VSFString.class \
	VSFVec3f.class

UNUSEDCLASSES = \
	VMFColor.class \
	VMFFloat.class \
	VMFInt32.class \
	VMFRotation.class \
	VMFVec2f.class \
	VMFVec3f.class \
	VSFColor.class \
	VSFFloat.class \
	VSFImage.class \
	VSFInt32.class \
	VSFTime.class \
	VSFVec2f.class

TEXTONLYCLASSES = \
	TextSceneInterface.class

EAICLASSES = $(EAIONLYCLASSES) $(COMMONCLASSES)

JSAICLASSES = $(JSAIONLYCLASSES) $(COMMONCLASSES)

TEXTCLASSES = $(TEXTONLYCLASSES) $(COMMONCLASSES)

ALLCLASSES = $(JSAIONLYCLASSES) $(EAIONLYCLASSES) $(TEXTONLYCLASSES) \
	     $(COMMONCLASSES)

DISTFILES = $(ALLCLASSES:.class=.java) \
	    $(UNUSEDCLASSES:.class=.java) \
	    $(ALLCLASSES) \
	    EAIVNet.zip \
	    TextVNet.zip \
	    Makefile \
	    COPYING \
	    README \
	    CHANGES \
	    Simple.wrl \
	    TinMan.wrl \
	    Angel.wrl \
	    kiwano.wrl \
	    halfmoon.wrl \
	    EAISimple.wrl \
	    EAIVNet.html \
	    index.html \
	    TextVNet.html \
	    TestApplet.html

TARGETS = EAIVNet.zip TextVNet.zip $(ALLCLASSES)

targets:  $(TARGETS)

EAIVNet.zip:	$(EAICLASSES)
	zip -0 EAIVNet.zip $(EAICLASSES)

EAIVNet.jar:	$(EAICLASSES)
	jar cvf EAIVNet.jar $(EAICLASSES)

TextVNet.zip: $(TEXTCLASSES)
	zip -0 TextVNet.zip $(TEXTCLASSES)

TextVNet.jar:		$(TEXTCLASSES)
	jar cvf TextVNet.jar $(TEXTCLASSES)

clean:
	rm -f $(TARGETS) $(UNUSEDCLASSES)

dist:	$(DISTFILES)
	pwd | sed 's|.*/||' > .dname
	rm -rf `cat .dname`
	mkdir `cat .dname`
	ln $(DISTFILES) `cat .dname`
	tar cf - `cat .dname` | gzip > `cat .dname`.tar.gz
	rm -rf `cat .dname` .dname

zipdist:	$(DISTFILES)
	pwd | sed 's|.*/||' > .dname
	rm -rf `cat .dname` `cat .dname`.zip
	mkdir `cat .dname`
	ln $(DISTFILES) `cat .dname`
	zip -r `cat .dname`.zip `cat .dname`
	rm -rf `cat .dname` .dname

## freewrl 1.05

=== CFrontEnd/Makefile ===
# make file for FreeWRL front end.
#

# for making the Perl interface
PFLAGS = -c -I../CFuncs -D_REENTRANT `perl -MExtUtils::Embed -e ccopts` 

# for making the freewrl opts file
FWFLAGS = -c -D_REENTRANT

FRFLAGS = -c -DFWVER=\"\$(FWVER)\" -DPERLPATH=\"\$(PPATH)\" \
		 -I../CFuncs -D_REENTRANT `perl -MExtUtils::Embed -e ccopts`

all:	freewrl

install:  freewrl
	strip freewrl
	cp freewrl $(BINDIR)
	cp fw2init.pl $(BINDIR)

perlxsi: 
	perl -MExtUtils::Embed -e xsinit -- -o perlxsi.c;
	$(CC) $(INC) $(PFLAGS) perlxsi.c

fwopts: 
	$(CC) $(INC) $(FWFLAGS) fwopts.c

freewrl: perlxsi fwopts
	$(CC) $(INC) $(FRFLAGS) freewrl.c \
	-L/usr/people/luigi/freewrl/FreeWRL-1.04.3/blib 

	$(CC) -L../blib/arch/auto/VRML/VRMLFunc -o freewrl \
	perlxsi.o freewrl.o fwopts.o \
	`perl -MExtUtils::Embed -e ccopts -e ldopts` \
	$(LIBS) \
	-lpthread -lFreeWRLFunc \

clean:
	rm *o; rm perlxsi*; rm freewrl;

distclean: clean

=== Doc/Makefile ===
## $Id: Makefile,v 1.2 2002/05/15 20:09:45 ayla Exp $
##
## Makefile for LaTeX documentation.

all: dvi

.PHONY: all clean realclean spotless

DOCS = scene-backend-management.tex

AUX = ${DOCS:.tex=.aux}
LOG = ${DOCS:.tex=.log}
DVI = ${DOCS:.tex=.dvi}
PS  = ${DOCS:.tex=.ps}
PDF = ${DOCS:.tex=.pdf}

BIB = freewrl-cites.bib

dvi: ${DVI}

%.dvi: %.tex force
	latex $<

ps: ${PS}

%.ps: %.dvi force
	dvips -o $@ $<

pdf: ${PDF}

%.pdf: %.ps force
	ps2pdf $< $@

clean:
	-rm ${LOG} ${PS} ${PDF}

realclean: clean
	-rm ${DVI} ${AUX} ${TOC}

# empty target forces dependent targets to run their commands
force:

=== Plugin/netscape/Makefile ===
#!make
#
# Netscape 4.x plugin makefile, based on:
#
################################################################################
# Copyright (c) 1996 Netscape Communications. All rights reserved.
################################################################################
#
# Simple Sample plugin makefile
#
# Platform: Linux 1.2 (ELF)
#
# The output of the make process will be npfreewrl.so
# Install this file either in
#	/usr/lib/netscape/plugins/
#	(or)
#	~/.netscape/plugins/
#	(or) in any convenient directory and point environment variable
#	     NPX_PLUGIN_PATH to point to the directory. It is advisable
#	     that the plugins (.so) are the only files in that directory.
#
# This makefile contains some of our defines for the compiler:
#
# XP_UNIX	This needs to get defined for npapi.h on unix platforms.
# PLUGIN_TRACE	Enable this define to get debug prints whenever the plugin
#		api gets control.
#		
# WARNING: Motif libraries are built static into the navigator and cannot
#          be accessed from the plugin.
#          
#
# 

## Change as required for your installation or override either on the
## command line or through the Perl module Makefile.PL scripts.
ifndef ${NETSCAPE_INST}

NETSCAPE_INST:=/usr/lib/netscape

endif

PLUGIN_DIR:= ${NETSCAPE_INST}/plugins
LIB_DIR:=./_lib
OBJ_DIR:=./_obj
LIBS:=

CC:=gcc
OPTIMIZER:=-O2
PLUGIN_DEFINES:=-DXP_UNIX
PLUGIN_GLUE:=..
## linux, irix, ...
OSNAME:=linux

## Override on the command line:
##
## e.g. $ make DEBUG=1
##
## Can also override through the Perl module Makefile.PL scripts.
DEBUG:=0
ifeq (${DEBUG},1)
    PLUGIN_DEFINES+=-D_DEBUG
##PLUGIN_DEFINES+=-DPLUGIN_TRACE 
endif

INC:=\
    -I/usr/include\
    -I.\
    -Iinclude\
    -I${PLUGIN_GLUE}/CFuncs

CFLAGS=${OPTIMIZER} ${PLUGIN_DEFINES} ${INC}

ifeq ($(strip ${OSNAME}),linux)

CFLAGS+=-fPIC

endif

SRC:=\
    npfreewrl.c\
    npunix.c

OBJ:=${SRC:%c=${OBJ_DIR}/%o}

vpath %.c ./source ./source/common

SHAREDTARGET=npfreewrl.so

all :: ${LIB_DIR}/${SHAREDTARGET}

.PHONY: all clean realclean

lib_dir ::
	mkdir -p ${LIB_DIR}

obj_dir ::
	mkdir -p ${OBJ_DIR}

install :: ${LIB_DIR}/${SHAREDTARGET}
	cp -f ${LIB_DIR}/${SHAREDTARGET} ${PLUGIN_DIR}

${LIB_DIR}/${SHAREDTARGET}: lib_dir obj_dir ${OBJ}
	${CC} -shared ${LIBS} ${OBJ} ${LDFLAGS} -o ${LIB_DIR}/${SHAREDTARGET}

${OBJ_DIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

clean ::
	${RM} ${OBJ} ${LIB_DIR}/${SHAREDTARGET}

realclean :: clean
	${RM} -Rf ${OBJ_DIR} ${LIB_DIR} ${PLUGIN_DIR}/${SHAREDTARGET}

=== Doc/Collision/src/Makefile ===
PROGRAMS=cylinderdone lightnign_bolt_test  polyrep_sphere_disp  triangle_disp_sphere conedone elevgrid querty_text_disp cubedone6_final  generaldisp linedone triangle_disp 
HEADERS=LinearAlgebra.h Structs.h Collision.h
LIBOBJS=LinearAlgebra.o
LINKS=LinearAlgebra.h LinearAlgebra.cpp Collision.cpp Collision.h
LINKSPATH=../../../CFuncs/

# Compilation specs
CC=g++
CFLAGS= -g
COMPILER=g++ 
LIBS= -lglut -lGL -lGLU -lm 

%.o: %.cpp $(HEADERS) 
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(LINKS) $(PROGRAMS)
	@echo ==============================================
	@echo Successfully built: $(PROGRAMS)  

$(PROGRAMS) : % : %.o $(LIBOBJS)
	$(CC) -o $@ $< $(LIBOBJS) $(LIBS)


#Setup symbolic links
LinearAlgebra.h :
	@if [[ ! -a LinearAlgebra.h   ]]; then ln -s $(LINKSPATH)LinearAlgebra.h . ; fi; 

Collision.h :
	@if [[ ! -a Collision.h       ]]; then ln -s $(LINKSPATH)Collision.h .     ; fi; 

LinearAlgebra.cpp :
	@if [[ ! -a LinearAlgebra.cpp ]]; then ln -s $(LINKSPATH)LinearAlgebra.c LinearAlgebra.cpp ; fi; 

Collision.cpp :
	@if [[ ! -a Collision.cpp     ]]; then ln -s $(LINKSPATH)Collision.c Collision.cpp         ; fi; 

clean:
	rm -f $(PROGRAMS) *.o *.cpp~ $(LINKS)

=== Doc/Collision/tex/Makefile ===
objects = algo.pdf crc_stage.pdf

all : algo.pdf crc_stage.pdf

clean : 
	rm -f algo.aux algo.log algo.pdf algo.tex~ algo.toc crc_stage.aux crc_stage.log crc_stage.pdf crc_stage.tex~ crc_stage.toc

$(objects): %.pdf: %.tex
	pdflatex $<
#	xpdf $@

## freewrl 1.07

=== CFrontEnd/Makefile ===
--- 
+++ 
@@ -22,11 +22,10 @@
 	$(CC) $(INC) $(PFLAGS) perlxsi.c
 
 fwopts: 
-	$(CC) $(INC) $(FWFLAGS) fwopts.c
+	$(CC) $(INC) $(FWFLAGS) $(DEFINE) fwopts.c
 
 freewrl: perlxsi fwopts
-	$(CC) $(INC) $(FRFLAGS) freewrl.c \
-	-L/usr/people/luigi/freewrl/FreeWRL-1.04.3/blib 
+	$(CC) $(INC) $(FRFLAGS) $(DEFINE) freewrl.c 
 
 	$(CC) -L../blib/arch/auto/VRML/VRMLFunc -o freewrl \
 	perlxsi.o freewrl.o fwopts.o \

=== Plugin/Makefile ===
#!make
################################################################################
# Copyright (c) 1996 Netscape Communications. All rights reserved.
################################################################################
#
# Simple Sample plugin makefile
#
# Platform: Linux 1.2 (ELF)
#
# The output of the make process will be npsimple.so
# Install this file either in
#	/usr/lib/netscape/plugins/
#	(or)
#	~/.netscape/plugins/
#	(or) in any convenient directory and point environment variable
#	     NPX_PLUGIN_PATH to point to the directory. It is advisable
#	     that the plugins (.so) are the only files in that directory.
#
# This makefile contains some of our defines for the compiler:
#
# XP_UNIX	This needs to get defined for npapi.h on unix platforms.
# PLUGIN_TRACE	Enable this define to get debug prints whenever the plugin
#		api gets control.
#		
# WARNING: Motif libraries are built static into the navigator and cannot
#          be accessed from the plugin.
#          

# PLUGIN_DEFINES= -DXP_UNIX -DPLUGIN_TRACE
PLUGIN_DEFINES= -DXP_UNIX -Inetscape/include

CC= gcc
OPTIMIZER= -g
CFLAGS=  $(OPTIMIZER) $(PLUGIN_DEFINES) -I../CFuncs -I/usr/include

SRC= netscape/source/npfreewrl.c netscape/source/common/npunix.c 
OBJ= npfreewrl.o npunix.o

SHAREDTARGET=npfreewrl.so

install: npfreewrl
	cp npfreewrl.so $(PLUGDIR)

all:	npfreewrl

npfreewrl: $(OBJ)
	$(CC) -shared -o $(SHAREDTARGET) $(OBJ) $(LDFLAGS)

npfreewrl.o: netscape/source/npfreewrl.c
	$(CC) -c $(CFLAGS) netscape/source/npfreewrl.c

npunix.o: netscape/source/common/npunix.c
	$(CC) -c $(CFLAGS) netscape/source/common/npunix.c

clean:
	$(RM) $(OBJ) $(SHAREDTARGET)

###
#FWFLAGS = -c -D_REENTRANT
#
#FRFLAGS = -c -DFWVER=\"\$(FWVER)\" -DPERLPATH=\"\$(PPATH)\" \
#		 -I../CFuncs -D_REENTRANT `perl -MExtUtils::Embed -e ccopts`
#
#all:	freewrl
#
#install:  freewrl
#	strip freewrl
#	cp freewrl $(BINDIR)
#	cp fw2init.pl $(BINDIR)
#
#perlxsi: 
#	perl -MExtUtils::Embed -e xsinit -- -o perlxsi.c;
#	$(CC) $(INC) $(PFLAGS) perlxsi.c
#
#fwopts: 
#	$(CC) $(INC) $(FWFLAGS) $(DEFINE) fwopts.c
#
#freewrl: perlxsi fwopts
#	$(CC) $(INC) $(FRFLAGS) $(DEFINE) freewrl.c 
#
#	$(CC) -L../blib/arch/auto/VRML/VRMLFunc -o freewrl \
#	perlxsi.o freewrl.o fwopts.o \
#	`perl -MExtUtils::Embed -e ccopts -e ldopts` \
#	$(LIBS) \
#	-lpthread -lFreeWRLFunc \
#
#clean:
#	rm *o; rm perlxsi*; rm freewrl;
#
#distclean: clean

=== SoundEngine/Makefile ===
#INCLUDE = -I/usr/X11R6/include/
#LIBS  = -L. -L/usr/X11R6/lib -L/usr/local/lib

COMPILERFLAGS = -Wall
CC = gcc
CFLAGS = $(COMPILERFLAGS) $(INCLUDE)
LIBRARIES = -lm
SVROBJ = main.o wavmaker.o mixer.o

all: main 

main: $(SVROBJ)
	$(CC) $(SVROBJ) $(CFLAGS) -o FreeWRL_SoundServer $(LIBS) $(LIBRARIES)
	strip FreeWRL_SoundServer

mixer: mixer.o
	$(CC) $(CFLAGS) -o $mixer $(LIBS) $< $(LIBRARIES)

wavmaker: wavmaker.o
	$(CC) $(CFLAGS) -o $wavmaker $(LIBS) $< $(LIBRARIES)

clean:
	rm -f *.o FreeWRL_SoundServer

install:  main
	cp FreeWRL_SoundServer $(BINDIR)

=== tests/Doc/Makefile ===
## $Id: Makefile,v 1.5 2002/05/28 17:46:47 ayla Exp $
##
## Makefile for LaTeX documentation.

all: dvi

.PHONY: all clean realclean spotless

day=`date +%d-%m-%Y`
bak_dir=./bak

DOCS =\
       vts_local.tex\
       vts.tex

INC =\
      Appearance.tex\
      Bindable-Nodes.tex\
      Geometric-Properties.tex\
      Geometry.tex\
      Grouping-Nodes.tex\
      Interpolators.tex\
      Lights.tex\
      Miscellaneous.tex\
      Sensors.tex\
      Sounds.tex\
      Special-Groups.tex

AUX =\
     ${DOCS:.tex=.aux}\
     ${INC:.tex=.aux}
DVI = ${DOCS:.tex=.dvi}
LOG = ${DOCS:.tex=.log}
PS  = ${DOCS:.tex=.ps}
PDF = ${DOCS:.tex=.pdf}

##TOC = ${DOCS:.tex=.toc}

vts: vts.dvi

vts-ps: vts.ps

vts-pdf: vts.pdf

local: vts_local.dvi

local-ps: vts_local.ps

local-pdf: vts_local.pdf

dvi: ${DVI}

ps: ${PS}

pdf: ${PDF}

clean:
	-rm ${LOG} ${PS} ${PDF}

realclean: clean
	-rm ${DVI} ${AUX}

spotless: realclean
	-rm -Rf ${bak_dir}
	-rm -f *~

display: dvi
	xdvi vts.dvi

display-local: dvi
	xdvi vts_local.dvi

bak_dir:
	-mkdir -p ${bak_dir}

## Implicit rules:

%.dvi: %.tex force
	latex $<

%.ps: %.dvi
	dvips -o $@ $<

%.pdf: %.ps
	ps2pdf $< $@

# empty target forces dependent targets to run their commands
force:
